Get the line number of the current execution point

- « ReflectionFiber::getExecutingFile

- ReflectionFiber::getFiber »

- PHP Manual
- ReflectionFiber
- Get the line number of the current execution point

# ReflectionFiber::getExecutingLine

(PHP 8 >= 8.1.0)

ReflectionFiber::getExecutingLine — Get the line number of the current execution point

### Description

public ReflectionFiber::getExecutingLine(): int

Returns the line number of the current execution point in the reflected Fiber. If the fiber has not been started or has terminated, an Error is thrown.

### Parameters

This function has no parameters.

### Return Values

The line number of the current execution point in the fiber.